Package org.apache.commons.math3.analysis.interpolation

# Interface BivariateGridInterpolator

All Known Implementing Classes:
  `BicubicInterpolator`, `BicubicSplineInterpolator`, `PiecewiseBicubicSplineInterpolator`, `SmoothingPolynomialBicubicSplineInterpolator`

public interface BivariateGridInterpolator
Interface representing a bivariate real interpolating function where the sample points must be specified on a regular grid.

## Method Summary

Modifier and Type
Method
Description
`BivariateFunction`
`interpolate(double[] xval, double[] yval, double[][] fval)`
Compute an interpolating function for the dataset.

## Method Details

### interpolate

BivariateFunction interpolate(double[] xval, double[] yval, double[][] fval) throws NoDataException, DimensionMismatchException, NonMonotonicSequenceException, NumberIsTooSmallException
Compute an interpolating function for the dataset.

Parameters:
  `xval` - All the x-coordinates of the interpolation points, sorted in increasing order.
  `yval` - All the y-coordinates of the interpolation points, sorted in increasing order.
  `fval` - The values of the interpolation points on all the grid knots: `fval[i][j] = f(xval[i], yval[j])`.
Returns:
  a function which interpolates the dataset.
Throws:
  `NoDataException` - if any of the arrays has zero length.
  `DimensionMismatchException` - if the array lengths are inconsistent.
  `NonMonotonicSequenceException` - if the array is not sorted.
  `NumberIsTooSmallException` - if the number of points is too small for the order of the interpolation